import {baseUrl, dict} from "@/api/scan/config";
import http from "@/api/scan/httpUtil";

//头部信息查询(查询所有设备类型-所有部件类型-所有系统类型-所有专业类型)
export function queryPhysicsAllType(param, success) {
  let url = `${baseUrl}${dict}/category`;
  http.postJson(url, param, success);
}

//查询项目下类型的信息点
export function getDataDictionary(param, success) {
  let url = `${baseUrl}${dict}/query`;
  http.postJson(url, param, success);
}

//批量处理字典信息操作
export function setInfoPoint(param, success) {
  let url = `${baseUrl}${dict}/dict-batch`;
  http.postJson(url, param, success)
}

//设置-项目定制化字典
export function setDataDictionary(param, success) {
  let url = `${baseUrl}${dict}/setting-dic-project`;
  http.postJson(url, param, success)
}
